org.apache.ignite.internal.processors.cache

## Class CacheStorePartialUpdateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.CacheStorePartialUpdateException

All Implemented Interfaces:
  Serializable

    public class CacheStorePartialUpdateException
    extends IgniteCheckedException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheStorePartialUpdateException(Collection failedKeys, Exception cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<Object>` `failedKeys()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheStorePartialUpdateException

    public CacheStorePartialUpdateException(Collection failedKeys,
                                            Exception cause)

Parameters:
  `failedKeys` - Keys that were not successfully updated.
  `cause` - Cause.

### Method Detail

#### failedKeys

    public Collection<Object> failedKeys()

Returns:
  Keys that were not successfully updated.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019